> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get unspent transaction outputs for a specific Cardano payment credential with asset details and values.

# UTxOs by payment credential



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /addresses/cred/{credential}/utxos
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /addresses/cred/{credential}/utxos:
    get:
      tags:
        - Addresses
      summary: UTxOs by payment credential
      description: >-
        Return detailed information on UTxOs controlled by addresses which use
        the specified payment credential
      operationId: utxos_by_payment_cred
      parameters:
        - name: credential
          in: path
          description: Payment credential in bech32 format
          required: true
          schema:
            type: string
        - name: asset
          in: query
          description: >-
            Return only UTxOs which contain some of a specific asset (asset
            formatted as concatenation of hex encoded policy and asset name)
          required: false
          schema:
            type: string
            nullable: true
        - name: resolve_datums
          in: query
          description: Try find and include the corresponding datums for datum hashes
          required: false
          schema:
            type: boolean
            nullable: true
        - name: with_cbor
          in: query
          description: >-
            Include the CBOR encodings of the transaction outputs in the
            response
          required: false
          schema:
            type: boolean
            nullable: true
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: >-
            The order in which the results are sorted (by slot at which UTxO was
            produced)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: from
          in: query
          description: Return only UTxOs created on or after a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: Return only UTxOs created on or before a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
        - name: amounts-as-strings
          in: header
          description: Large numbers returned as strings if set to `true`
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: >-
            Get all unspent transaction outputs at addresses with the given
            payment credential
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedUtxoWithSlot'
              example:
                data:
                  - tx_hash: >-
                      b24743fb4b5381971ee8b3d02a3fd5e783acdb5a21cd2d22d192ec84e7e279fc
                    index: 0
                    slot: 23100140
                    assets:
                      - unit: lovelace
                        amount: 1224040
                      - unit: >-
                          0c64d6d0371d11185aae649cf3a169040e94214137137b531ebb16c2446a65644f7261636c654e4654
                        amount: 1
                    address: >-
                      addr_test1wzdtu0djc76qyqak9cj239udezj2544nyk3ksmfqvaksv7c9xanpg
                    datum:
                      type: hash
                      hash: >-
                        ac0017f05bec9c7d1a475283b89fc40630ecdd66544fc3c0506be5f7c790d79e
                      bytes: null
                      json: null
                    reference_script: null
                    txout_cbor: null
                  - tx_hash: >-
                      e2e91c7be8239b9f52fadec8df627fe759d21e5b6559c3ec06d8120f1366e075
                    index: 0
                    slot: 32264892
                    assets:
                      - unit: lovelace
                        amount: 1224040
                      - unit: >-
                          0c64d6d0371d11185aae649cf3a169040e94214137137b531ebb16c2446a65644f7261636c654e4654
                        amount: 1
                    address: >-
                      addr_test1wzdtu0djc76qyqak9cj239udezj2544nyk3ksmfqvaksv7c9xanpg
                    datum:
                      type: hash
                      hash: >-
                        bdea76b7527bf513874be137b040b3235033d6d5af0add15d6e0dcfc78859aed
                      bytes: null
                      json: null
                    reference_script: null
                    txout_cbor: null
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    eb5008ee0990527fb0d27d16b8c6284d4c898112509948d4741a7c41e544b912
                  block_slot: 32265653
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedUtxoWithSlot:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UtxoWithSlot'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    UtxoWithSlot:
      type: object
      description: Transaction output
      required:
        - tx_hash
        - index
        - slot
        - assets
        - address
      properties:
        address:
          type: string
          description: Address which controls the UTxO
        assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
          description: List of assets contained in the UTxO
        datum:
          allOf:
            - $ref: '#/components/schemas/DatumOption'
          nullable: true
        index:
          type: integer
          description: UTxO transaction index
          minimum: 0
        reference_script:
          allOf:
            - $ref: '#/components/schemas/Script'
          nullable: true
        slot:
          type: integer
          format: int64
          description: Absolute slot of block which produced the UTxO
          minimum: 0
        tx_hash:
          type: string
          description: UTxO transaction hash
        txout_cbor:
          type: string
          description: Hex encoded transaction output CBOR bytes
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    Asset:
      type: object
      description: Lovelace or native asset
      required:
        - unit
        - amount
      properties:
        amount:
          $ref: '#/components/schemas/NumOrString'
        unit:
          type: string
          description: >-
            Asset (either `lovelace` or concatenation of hex encoded policy ID
            and asset name for native asset)
    DatumOption:
      type: object
      description: Datum (inline or hash)
      required:
        - type
        - hash
      properties:
        bytes:
          type: string
          description: >-
            Hex encoded datum CBOR bytes (`null` if datum type is `hash` and
            corresponding datum bytes have not been seen on-chain)
          nullable: true
        hash:
          type: string
          description: Datum hash
        json:
          type: object
          description: >-
            JSON representation of the datum (`null` if datum type is `hash` and
            corresponding datum bytes have not been seen on-chain)
          nullable: true
        type:
          $ref: '#/components/schemas/DatumOptionType'
    Script:
      type: object
      description: Details of a Native or Plutus script
      required:
        - hash
        - type
        - bytes
      properties:
        bytes:
          type: string
          description: Script bytes
        hash:
          type: string
          description: Script hash
        json:
          type: object
          description: >-
            JSON representation of script (`null` if script not of `native`
            type)
          nullable: true
        type:
          $ref: '#/components/schemas/ScriptType'
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
    DatumOptionType:
      type: string
      description: Datum type (inline datum or datum hash)
      enum:
        - hash
        - inline
    ScriptType:
      type: string
      description: Script type and version
      enum:
        - native
        - plutusv1
        - plutusv2
        - plutusv3
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````